Bug 390347 - Move "Check For Updates" button onto Updates page, and only show it in Desktop mode when there are no updates
Summary: Move "Check For Updates" button onto Updates page, and only show it in Deskto...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.12.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks: 389717
  Show dependency treegraph
 
Reported: 2018-02-12 22:30 UTC by Nate Graham
Modified: 2018-02-22 18:12 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-02-12 22:30:10 UTC
This would accomplish several goals:
- Puts the button where the user is more likely to find it if they go looking for it
- Puts the button on the view that it is capable of updating
- Remove it from the Settings page's header, which makes room for putting the page title there, which makes all pages' headers more consistent
- Gets rid of a non-sources-related control on the Settings page, providing a path toward renaming that page to be "Sources" instead (which is more accurate)
Comment 1 Nate Graham 2018-02-12 22:30:56 UTC
Oh, I forgot another:
- Provide an appropriate desktop UI to trigger the "check for updates" behavior on the Updates page, which currently only implements a mobile UI for this (swipe down to update)
Comment 2 Aleix Pol 2018-02-22 18:12:58 UTC
Git commit 6f04c9d64b5abb8a00e982b7b9a55a7de1e22dde by Aleix Pol.
Committed on 22/02/2018 at 18:12.
Pushed by apol into branch 'master'.

Put the refresh action in the updates page

M  +1    -1    discover/qml/DiscoverWindow.qml
M  +2    -0    discover/qml/UpdatesPage.qml

https://commits.kde.org/discover/6f04c9d64b5abb8a00e982b7b9a55a7de1e22dde